<%
/**
 * Copyright (c) 2008 Janne Ohtonen. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/init.jsp" %>

<form action="<liferay-portlet:actionURL portletConfiguration="true" />" method="post" name="<portlet:namespace />fm">
<input name="<portlet:namespace /><%= Constants.CMD %>" type="hidden" value="<%= Constants.UPDATE %>" />

<table class="lfr-table">
<tr>
	<td><liferay-ui:message key="jarfile" /></td>
	<td>
		<select name="<portlet:namespace />jarfile" class="lfr-input-text">
			<option value="jsphere-lite.jar" <c:if test="<%= jarfile.equals("jsphere-lite.jar") %>">selected="selected"</c:if>>Panopan</option>
		</select>
		For commercial use, please look into license terms.
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="imageUrl" /></td>
	<td>
		<input class="lfr-input-text" name="<portlet:namespace />imageUrl" type="text" value="<%= imageUrl %>"/>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="splashUrl" /></td>
	<td>
		<input class="lfr-input-text" name="<portlet:namespace />splashUrl" type="text" value="<%= splashUrl %>"/>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="splashBgcolor" /></td>
	<td>
		<input class="lfr-input-text" name="<portlet:namespace />splashBgcolor" type="text" value="<%= splashBgcolor %>" size="6" maxlength="6"/> 
		(Color in Hex, for example: ffffff)
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="overlayUrl" /></td>
	<td>
		<input class="lfr-input-text" name="<portlet:namespace />overlayUrl" type="text" value="<%= overlayUrl %>"/>
		For example: /SampleOverlay.gif
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="initAutorot" /></td>
	<td>
		<select name="<portlet:namespace />initAutorot" class="lfr-input-text">
			<option value="-120" <c:if test="<%= initAutorot.equals("-120") %>">selected="selected"</c:if>>-120</option>
			<option value="-60" <c:if test="<%= initAutorot.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= initAutorot.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= initAutorot.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+120" <c:if test="<%= initAutorot.equals("+120") %>">selected="selected"</c:if>>+120</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="initRenderQuality" /></td>
	<td>
		<select name="<portlet:namespace />initRenderQuality" class="lfr-input-text">
			<option value="bilinear" <c:if test="<%= initRenderQuality.equals("bilinear") %>">selected="selected"</c:if>>Bilinear</option>
			<option value="simple" <c:if test="<%= initRenderQuality.equals("simple") %>">selected="selected"</c:if>>Simple</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="initRenderPanMode" /></td>
	<td>
		<select name="<portlet:namespace />initRenderPanMode" class="lfr-input-text">
			<option value="incremental" <c:if test="<%= initRenderQuality.equals("incremental") %>">selected="selected"</c:if>>Incremental</option>
			<option value="full" <c:if test="<%= initRenderQuality.equals("full") %>">selected="selected"</c:if>>Full</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewCaption" /></td>
	<td>
		<input class="lfr-input-text" name="<portlet:namespace />viewCaption" type="text" value="<%= viewCaption %>"/>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewHfov" /></td>
	<td>
		<select name="<portlet:namespace />viewHfov" class="lfr-input-text">
			<option value="1.0" <c:if test="<%= viewHfov.equals("1.0") %>">selected="selected"</c:if>>1.0</option>
			<option value="45" <c:if test="<%= viewHfov.equals("45") %>">selected="selected"</c:if>>45</option>
			<option value="95" <c:if test="<%= viewHfov.equals("95") %>">selected="selected"</c:if>>95</option>
			<option value="135" <c:if test="<%= viewHfov.equals("135") %>">selected="selected"</c:if>>135</option>
			<option value="179.9" <c:if test="<%= viewHfov.equals("179.9") %>">selected="selected"</c:if>>179.9</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitHfovMin" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitHfovMin" class="lfr-input-text">
			<option value="1.0" <c:if test="<%= viewLimitHfovMin.equals("1.0") %>">selected="selected"</c:if>>1.0</option>
			<option value="5.0" <c:if test="<%= viewLimitHfovMin.equals("5.0") %>">selected="selected"</c:if>>5.0</option>
			<option value="45" <c:if test="<%= viewLimitHfovMin.equals("45") %>">selected="selected"</c:if>>45</option>
			<option value="95" <c:if test="<%= viewLimitHfovMin.equals("95") %>">selected="selected"</c:if>>95</option>
			<option value="135" <c:if test="<%= viewLimitHfovMin.equals("135") %>">selected="selected"</c:if>>135</option>
			<option value="179.9" <c:if test="<%= viewLimitHfovMin.equals("179.9") %>">selected="selected"</c:if>>179.9</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitHfovMax" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitHfovMax" class="lfr-input-text">
			<option value="1.0" <c:if test="<%= viewLimitHfovMax.equals("1.0") %>">selected="selected"</c:if>>1.0</option>
			<option value="5.0" <c:if test="<%= viewLimitHfovMax.equals("5.0") %>">selected="selected"</c:if>>5.0</option>
			<option value="45" <c:if test="<%= viewLimitHfovMax.equals("45") %>">selected="selected"</c:if>>45</option>
			<option value="95" <c:if test="<%= viewLimitHfovMax.equals("95") %>">selected="selected"</c:if>>95</option>
			<option value="145" <c:if test="<%= viewLimitHfovMax.equals("145") %>">selected="selected"</c:if>>145</option>
			<option value="179.9" <c:if test="<%= viewLimitHfovMax.equals("179.9") %>">selected="selected"</c:if>>179.9</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewPan" /></td>
	<td>
		<select name="<portlet:namespace />viewPan" class="lfr-input-text">
			<option value="-180" <c:if test="<%= viewPan.equals("-180") %>">selected="selected"</c:if>>-180</option>
			<option value="-60" <c:if test="<%= viewPan.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewPan.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewPan.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+180" <c:if test="<%= viewPan.equals("+180") %>">selected="selected"</c:if>>+180</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitPanMin" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitPanMin" class="lfr-input-text">
			<option value="-180" <c:if test="<%= viewLimitPanMin.equals("-180") %>">selected="selected"</c:if>>-180</option>
			<option value="-60" <c:if test="<%= viewLimitPanMin.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewLimitPanMin.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewLimitPanMin.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+180" <c:if test="<%= viewLimitPanMin.equals("+180") %>">selected="selected"</c:if>>+180</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitPanMax" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitPanMax" class="lfr-input-text">
			<option value="-180" <c:if test="<%= viewLimitPanMax.equals("-180") %>">selected="selected"</c:if>>-180</option>
			<option value="-60" <c:if test="<%= viewLimitPanMax.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewLimitPanMax.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewLimitPanMax.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+180" <c:if test="<%= viewLimitPanMax.equals("+180") %>">selected="selected"</c:if>>+180</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewTilt" /></td>
	<td>
		<select name="<portlet:namespace />viewTilt" class="lfr-input-text">
			<option value="-90" <c:if test="<%= viewTilt.equals("-90") %>">selected="selected"</c:if>>-90</option>
			<option value="-60" <c:if test="<%= viewTilt.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewTilt.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewTilt.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+90" <c:if test="<%= viewTilt.equals("+90") %>">selected="selected"</c:if>>+90</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitTiltMin" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitTiltMin" class="lfr-input-text">
			<option value="-90" <c:if test="<%= viewLimitTiltMin.equals("-90") %>">selected="selected"</c:if>>-90</option>
			<option value="-60" <c:if test="<%= viewLimitTiltMin.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewLimitTiltMin.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewLimitTiltMin.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+90" <c:if test="<%= viewLimitTiltMin.equals("+90") %>">selected="selected"</c:if>>+90</option>
		</select>
	</td>
</tr>
<tr>
	<td><liferay-ui:message key="viewLimitTiltMax" /></td>
	<td>
		<select name="<portlet:namespace />viewLimitTiltMax" class="lfr-input-text">
			<option value="-90" <c:if test="<%= viewLimitTiltMax.equals("-90") %>">selected="selected"</c:if>>-90</option>
			<option value="-60" <c:if test="<%= viewLimitTiltMax.equals("-60") %>">selected="selected"</c:if>>-60</option>
			<option value="0" <c:if test="<%= viewLimitTiltMax.equals("0") %>">selected="selected"</c:if>>0</option>
			<option value="+60" <c:if test="<%= viewLimitTiltMax.equals("+60") %>">selected="selected"</c:if>>+60</option>
			<option value="+90" <c:if test="<%= viewLimitTiltMax.equals("+90") %>">selected="selected"</c:if>>+90</option>
		</select>
	</td>
</tr>
<tr>
	<td>
		<liferay-ui:message key="height" />
	</td>
	<td>
		<input name="<portlet:namespace />height" size="4" type="text" value="<%= height %>" /> px
	</td>
</tr>
<tr>
	<td>
		<liferay-ui:message key="width" />
	</td>
	<td>
		<input name="<portlet:namespace />width" size="4" type="text" value="<%= width %>" /> px
	</td>
</tr>
<tr>
	<td colspan="2">
		<br />
	</td>
</tr>
<tr>
	<td>
		<liferay-ui:message key="message" />
	</td>
	<td>
		<textarea class="lfr-textarea" name="<portlet:namespace/>message" wrap="soft"><%= message %></textarea>
	</td>
</tr>
</table>

<br />

<input type="button" value="<liferay-ui:message key="save" />" onClick="submitForm(document.<portlet:namespace />fm);" />

</form>

<c:if test="<%= renderRequest.getWindowState().equals(WindowState.MAXIMIZED) %>">
	<script type="text/javascript">
		Liferay.Util.focusFormField(document.<portlet:namespace />fm.<portlet:namespace />imageUrl);
	</script>
</c:if>