<%
/**
 * Copyright (c) 2008 Janne Ohtonen. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ taglib uri="http://java.sun.com/jstl/core_rt" prefix="c" %>

<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>

<%@ taglib uri="http://liferay.com/tld/portlet" prefix="liferay-portlet" %>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui" %>

<%@ page import="com.liferay.portal.kernel.util.Constants" %>
<%@ page import="com.liferay.portal.kernel.util.GetterUtil" %>
<%@ page import="com.liferay.portal.kernel.util.ParamUtil" %>
<%@ page import="com.liferay.portal.kernel.util.StringPool" %>
<%@ page import="com.liferay.portal.kernel.util.Validator" %>
<%@ page import="com.liferay.portlet.PortletPreferencesFactoryUtil" %>

<%@ page import="javax.portlet.PortletPreferences" %>
<%@ page import="javax.portlet.WindowState" %>

<portlet:defineObjects />

<%
PortletPreferences preferences = renderRequest.getPreferences();

String portletResource = ParamUtil.getString(request, "portletResource");

if (Validator.isNotNull(portletResource)) {
	preferences = PortletPreferencesFactoryUtil.getPortletSetup(request, portletResource);
}

String jarfile = preferences.getValue("jarfile", "jsphere-lite.jar");
String imageUrl = preferences.getValue("imageUrl", request.getContextPath() + "/SamplePanoramaByJanneOhtonen.jpg");
String splashUrl = preferences.getValue("splashUrl", request.getContextPath() + "/SampleSplashImage.jpg");
String splashBgcolor = preferences.getValue("splashBgcolor", "ffffff");
String overlayUrl = preferences.getValue("overlayUrl", StringPool.BLANK);

String initAutorot = preferences.getValue("initAutorot", "-60");
String initRenderQuality = preferences.getValue("initRenderQuality", "bilinear");
String initRenderPanMode = preferences.getValue("initRenderPanMode", "incremental");

String viewCaption = preferences.getValue("viewCaption", "Sample panorama by Janne Ohtonen.");
String viewHfov = preferences.getValue("viewHfov", "45.0");
String viewLimitHfovMin = preferences.getValue("viewLimitHfovMin", "5.0");
String viewLimitHfovMax = preferences.getValue("viewLimitHfovMax", "145.0");
String viewPan = preferences.getValue("viewPan", "0");
String viewLimitPanMin = preferences.getValue("viewLimitPanMin", "0.0");
String viewLimitPanMax = preferences.getValue("viewLimitPanMax", "0.0");
String viewTilt = preferences.getValue("viewTilt", "0");
String viewLimitTiltMin = preferences.getValue("viewLimitTiltMin", "0.0");
String viewLimitTiltMax = preferences.getValue("viewLimitTiltMax", "0.0");

int height = GetterUtil.getInteger(preferences.getValue("height", StringPool.BLANK), 240);
int width = GetterUtil.getInteger(preferences.getValue("width", StringPool.BLANK), 320);
String message = preferences.getValue("message", StringPool.BLANK);
%>