<%
	/**
	 * Copyright (c) 2008 Janne Ohtonen. All rights reserved.
	 *
	 * Permission is hereby granted, free of charge, to any person obtaining a copy
	 * of this software and associated documentation files (the "Software"), to deal
	 * in the Software without restriction, including without limitation the rights
	 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
	 * copies of the Software, and to permit persons to whom the Software is
	 * furnished to do so, subject to the following conditions:
	 *
	 * The above copyright notice and this permission notice shall be included in
	 * all copies or substantial portions of the Software.
	 *
	 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
	 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
	 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
	 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
	 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
	 * SOFTWARE.
     *
     *
	 * License for Panopan:
	 *	 The JsphereLite JAVA applet (the software) described above and made available through this page is
	 *	 licensed free of charge for non-commercial use. It may not be sold, altered or reverse engineered and the
	 *	 copyright notice may not be removed. The software is provided "as is", without warranty of any kind,
	 *	 either expressed or implied.
	 *
	 *	 Prices for the Web Commercial License:
	 *	 License is per WEB site, identified by the site's URL. The number of panoramas refers to the overall
	 *	 number of panoramas at that site which are accessible and viewable with one or more JsphereLite applet
	 *	 instance. Distribution of the JsphereLite applet on CDs etc requires another license agreement, please
	 *	 JsphereLite Spherical+Cylindrical Panorama Viewer Applet http://www.panopan.com/sw/jsphere/lite.html
	 *	 
	 *	 contact info@panopan.com.
	 *	 Software Number of Panoramas One-time License Fee
	 *	 	JsphereLite < 50 $ 70
	 *	 				< 150 $ 110
	 *	 				unlimited $ 280
	 */
%>

<%@ include file="/init.jsp"%>

<c:choose>
	<c:when test="<%=Validator.isNotNull(imageUrl)%>">
		<table>
			<tr>
				<td><c:if test="<%=jarfile.equals("jsphere-lite.jar")%>">
					<applet name="jsphere" archive="jsphere-lite.jar" code="JsphereLite.class" codebase="<%= request.getContextPath() %>"
						height="<%=height%>" width="<%=width%>">
						<param name="image.url" value="<%=imageUrl%>">
						<param name="splash.url" value="<%=splashUrl%>">
						<param name="splash.bgcolor" value="<%=splashBgcolor%>">
						<param name="overlay.url" value="<%=overlayUrl%>">
						<param name="init.autorot" value="<%=initAutorot%>">
						<param name="init.render.quality" value="<%=initRenderQuality%>">
						<param name="init.render.pan.mode" value="<%=initRenderPanMode%>">
						<param name="view.caption" value="<%=viewCaption%>">
						<param name="view.hfov" value="<%=viewHfov%>">
						<param name="view.limit.hfov.min" value="<%=viewLimitHfovMin%>">
						<param name="view.limit.hfov.max" value="<%=viewLimitHfovMax%>">
						<param name="view.pan" value="<%=viewPan%>">
						<param name="view.limit.pan.min" value="<%=viewLimitPanMin%>">
						<param name="view.limit.pan.max" value="<%=viewLimitPanMax%>">
						<param name="view.tilt" value="<%=viewTilt%>">
						<param name="view.limit.tilt.min" value="<%=viewLimitTiltMin%>">
						<param name="view.limit.tilt.max" value="<%=viewLimitTiltMax%>">
						<param name="software.copyright" value="Copyright (C) 2000-2001 Panopan">
					</applet>
					</c:if>					
				</td>
			</tr>

			<c:if test="<%=Validator.isNotNull(message)%>">
				<tr>
					<td><%=message%></td>
				</tr>
			</c:if>

		</table>
	</c:when>
	<c:otherwise>
		<liferay-ui:message
			key="please-contact-the-administrator-to-setup-this-portlet" />
	</c:otherwise>
</c:choose>